# Create a ring buffer representing a straight line

``

    line  start (number), finish (number)

Create a ring buffer representing a straight line between start and finish of steps elements. Steps defaults to `4`. Indexes wrap around positively and negatively. Similar to `range`.

Introduced in v2.5

## Options

steps: | number of slices or segments along the line
inclusive: | boolean value representing whether or not to include finish value in line

## Examples

# Example 1
``
    (line 0, 4, steps: 4)
| ``
    #=> (ring 0.0, 1.0, 2.0, 3.0)
# Example 2
``
    (line 5, 0, steps: 5)
| ``
    #=> (ring 5.0, 4.0, 3.0, 2.0, 1.0)
# Example 3
``
    (line 0, 3, inclusive: true)
| ``
    #=> (ring 0.0, 1.0, 2.0, 3.0)